Description: do not use dns.ADDRCONFIG for localhost
 it fails on IPv6-only systems. Setting it with libc fails on linux.
 https://github.com/nodejs/node/issues/33279
Author: Jérémy Lal <kapouer@melix.org>
Last-Update: 2020-06-11
Bug-Debian: https://bugs.debian.org/962318
Forwarded: https://github.com/nodejs/node/issues/33816
--- a/lib/net.js
+++ b/lib/net.js
@@ -1,4 +1,5 @@
 // Copyright Joyent, Inc. and other Node contributors.
+
 //
 // Permission is hereby granted, free of charge, to any person obtaining a
 // copy of this software and associated documentation files (the
@@ -1118,13 +1119,6 @@
     hints: options.hints || 0
   };
 
-  if (!isWindows &&
-      dnsopts.family !== 4 &&
-      dnsopts.family !== 6 &&
-      dnsopts.hints === 0) {
-    dnsopts.hints = dns.ADDRCONFIG;
-  }
-
   debug('connect: find host', host);
   debug('connect: dns options', dnsopts);
   self._host = host;
--- a/test/sequential/sequential.status
+++ b/test/sequential/sequential.status
@@ -21,6 +21,10 @@
 # for debian buildd i386 (but pass on porter barriere.d.o)
 test-debugger-heap-profiler: PASS,FLAKY
 
+# does not work on IPv6 only host
+test-tls-psk-client: PASS,FLAKY
+test-tls-securepair-client: PASS,FLAKY
+
 [$system==win32]
 
 [$system==linux]
